Subject: Offline Message from Robert Filcsik: Hi , I do have a swagtron s5 scooter .
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked]
Date: Sun, 05 Dec 2021 16:59:02 -0000

From: Robert Filcsik <[email-masked]>
Phone: 919-671-2609
Location: Morrisville, United States
URL: https://swagtron.com/contact/
Department: SwagTron

Hi , 
I do have a swagtron s5 scooter .
Right few days after the purchase the front tire went flat .
Tried to contact you several times in the past year to solve the problem. Never received a response.
Now we are moving and i find the scooter in the garage. Trying to decide to give one more try to fix it  or throw it out out since I can’t find any replacement tire and you guys are not responding.

Worst costumer service by the way what i ever received.

I regretted long time buying this scooter what i not able to use , replace and no way to fix.

Please advise!

Thanks,
Robert

----
Zopim
https://www.zopim.com